View Issue Details

IDProjectCategoryView StatusLast Update
0003540Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.7.0.240 
Target VersionFixed in Version6.7.0.244 
Summary0003540: Call sign lookup sources don't consistently report success, error status
DescriptionThe call sign lookup sources aren't consistently reporting success or failure messages. This is most obvious when testing.
Steps To Reproduce1) Fire up the Logbook. No particular database necessary
2) Use the "Call sign Lookup" command in the "Config" tear-off in the "Tools" menu
3) In the "Enabled" tab, enable all sources
4) Make sure they're correctly configured on whatever other tabs necessary.
5) press "Apply"
6) Use the "Test" tab to test a good call sign

BUG#1) in the result grid, not all sources report error or success; each should say "OK" at least, and if failed, should give a brief description of the failure (like "Not Found" or "Bad Config").





TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Activities

K7ZCZ

2019-11-02 23:15

administrator   ~0009116

Last edited: 2019-11-02 23:15

View 2 revisions

fixed in this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5258

g3ucq

2019-11-06 03:54

viewer   ~0009152

I see OK against callook.info, QRZ.com and Country List.
The rest have Failed - Not found/No login information which is correct.
Fixed for me.

WA9PIE

2019-11-06 16:29

administrator   ~0009182

Yep, this is actually a good add.

Issue History

Date Modified Username Field Change
2019-11-02 23:12 K7ZCZ New Issue
2019-11-02 23:15 K7ZCZ Assigned To => K7ZCZ
2019-11-02 23:15 K7ZCZ Status new => resolved
2019-11-02 23:15 K7ZCZ Resolution open => fixed
2019-11-02 23:15 K7ZCZ Note Added: 0009116
2019-11-02 23:15 K7ZCZ Note Edited: 0009116 View Revisions
2019-11-03 10:42 K7ZCZ Fixed in Version => 6.7.0.241
2019-11-06 03:54 g3ucq Note Added: 0009152
2019-11-06 16:29 WA9PIE Status resolved => closed
2019-11-06 16:29 WA9PIE Description Updated View Revisions
2019-11-06 16:29 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-06 16:29 WA9PIE Testing Not Started => Beta Successful
2019-11-06 16:29 WA9PIE Note Added: 0009182
2019-11-08 02:08 WA9PIE Fixed in Version 6.7.0.241 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe